## net.i2p.router
Class MarkLiveliness

    java.lang.Object
      net.i2p.router.MarkLiveliness

All Implemented Interfaces:
  java.lang.Runnable

     class MarkLiveliness

extends java.lang.Object
implements java.lang.Runnable

Constructor Summary
`MarkLiveliness(RouterContext ctx, Router router, java.io.File pingFile)`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MarkLiveliness

    public MarkLiveliness(RouterContext ctx,
                          Router router,
                          java.io.File pingFile)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`